
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

#if !defined(AFX_KHANDIALOG_H__305BF988_4DDD_434A_9456_A582B98F7B19__INCLUDED_)
#define AFX_KHANDIALOG_H__305BF988_4DDD_434A_9456_A582B98F7B19__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CKhanDialog : header file
//


/////////////////////////////////////////////////////////////////////////////
// CKhanDialog
//
class CKhanDialog : public CDialog
{
// Construction
public:
	CKhanDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CKhanDialog)
	enum { IDD = IDD_DIALOG_KHAN };
	CButton			m_ctrlRestoreContents;
	CButton			m_ctrlBackupContents;
	CButton			m_ctrlUpdateBtn;
	CEdit			m_ctrlEdit;
	CProgressCtrl	m_ctrlProgress;
	CString			m_strEdit;
	CStatic			m_ctrlStaticKBps;
	BOOL			m_bSortChild;
	BOOL			m_bSortRoot;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CKhanDialog)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CKhanDialog)
	afx_msg void OnButtonUpdate();
	virtual BOOL OnInitDialog();
	afx_msg void OnCheckSortChild();
	afx_msg void OnCheckSortRoot();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnContentsBackup();
	afx_msg void OnContentsRestore();
	//}}AFX_MSG
	afx_msg LRESULT OnStatusString (WPARAM wParam, LPARAM lParam);	// WM_USER_STATUS_STRING
	afx_msg LRESULT OnProgressMax (WPARAM wParam, LPARAM lParam);	// WM_USER_PROGRESS_MAX
	afx_msg LRESULT OnProgressPos (WPARAM wParam, LPARAM lParam);	// WM_USER_PROGRESS_POS
	afx_msg LRESULT OnUpdateFinished(WPARAM wParam, LPARAM lParam);	// WM_USER_FINISHED
	afx_msg LRESULT OnKBps(WPARAM wParam, LPARAM lParam);			// WM_USER_KBPS


	DECLARE_MESSAGE_MAP()

	// Background brush.
	CBrush m_bkBrush;

	// Scrolling
	int m_nDlgHeight;	// Workspace height in pixels
	int m_nVScrollPos;	// Vertical scroll position
	int m_nVPageSize;	// Vertical page size
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_KHANDIALOG_H__305BF988_4DDD_434A_9456_A582B98F7B19__INCLUDED_)
